net.sf.jasperreports.engine

## Interface JRVisitable

- All Known Subinterfaces:
    Cell, JRBand, JRBreak, JRCellContents, JRChart, JRChild, JRComponentElement, JRCrosstab, JRElement, JRElementGroup, JREllipse, JRFrame, JRGenericElement, JRGraphicElement, JRImage, JRLine, JRRectangle, JRStaticText, JRSubreport, JRTextElement, JRTextField, ListComponent, ListContents, TableComponent
  All Known Implementing Classes:
    BaseListContents, CompiledCell, DesignCell, DesignListContents, ElementDecorator, FillListContents, FillTableSubreport, JRBaseBand, JRBaseBreak, JRBaseCellContents, JRBaseChart, JRBaseComponentElement, JRBaseCrosstab, JRBaseElement, JRBaseElementGroup, JRBaseEllipse, JRBaseFrame, JRBaseGenericElement, JRBaseGraphicElement, JRBaseImage, JRBaseLine, JRBaseRectangle, JRBaseStaticText, JRBaseSubreport, JRBaseTextElement, JRBaseTextField, JRDesignBand, JRDesignBreak, JRDesignCellContents, JRDesignChart, JRDesignComponentElement, JRDesignCrosstab, JRDesignElement, JRDesignElementGroup, JRDesignEllipse, JRDesignFrame, JRDesignGenericElement, JRDesignGraphicElement, JRDesignImage, JRDesignLine, JRDesignRectangle, JRDesignStaticText, JRDesignSubreport, JRDesignTextElement, JRDesignTextField, JRFillBand, JRFillBreak, JRFillCellContents, JRFillChart, JRFillComponentElement, JRFillCrosstab, JRFillElement, JRFillElementContainer, JRFillElementGroup, JRFillEllipse, JRFillFrame, JRFillFrame.JRFillFrameElements, JRFillGenericElement, JRFillGraphicElement, JRFillImage, JRFillLine, JRFillRectangle, JRFillStaticText, JRFillSubreport, JRFillTextElement, JRFillTextField, StandardListComponent, StandardTable, TableSubreport

      public interface JRVisitable

  Version:
    $Id: JRVisitable.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `visit(JRVisitor visitor)`

- - ### Method Detail

    - #### visit

          void visit(JRVisitor visitor)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com